Closed Bug 1521677 Opened 3 years ago Closed 3 years ago

Basecamp3 doesn't work on Nightly 66.0a1

Categories

(Core :: DOM: Core & HTML, defect, P1)

66 Branch
defect

Tracking

()

VERIFIED FIXED
mozilla67
Tracking Status
firefox-esr60 --- unaffected
firefox64 --- unaffected
firefox65 --- unaffected
firefox66 --- disabled
firefox67 --- verified

People

(Reporter: minkul.alam, Assigned: bzbarsky)

References

Details

(Keywords: regression)

Attachments

(1 file)

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.14; rv:66.0) Gecko/20100101 Firefox/66.0

Steps to reproduce:

Login to Basecamp3 dashboard

Actual results:

  • Many JS features not working.
  • Like (cmd + j ) for jump menu not working
  • Support window (click question mark at bottom right) not working

Console errors:
TypeError: can't define non-configurable property on WindowProxy
libraries.js:17

<anonymous> libraries.js:17 n3Webpack

ReferenceError: CalendarDate is not defined[Learn More]
desktop-3aba787f2e87930c151dfd33da306bac9b8cda3961016c34001d75fda612b889.js:2:25033

<anonymous> https://3.basecamp-static.com/assets/desktop-3aba787f2e87930c151dfd33da306bac9b8cda3961016c34001d75fda612b889.js:2 <anonymous> https://3.basecamp-static.com/assets/desktop-3aba787f2e87930c151dfd33da306bac9b8cda3961016c34001d75fda612b889.js:2 

TypeError: BC.current is undefined[Learn More]

Expected results:

Should work dashboard without any issues.

Is there a public testcase available ?
Is this a new issue in Firefox66 and does this work in FIrefox64 ?

Flags: needinfo?(minkul.alam)

(In reply to Matthias Versen [:Matti] from comment #1)

Is there a public testcase available ?

I don't know about availability of public testcase.

Is this a new issue in Firefox66 and does this work in FIrefox64 ?

Basecamp3 dashboard works fine in Firefox 64. No errors in console.

Flags: needinfo?(minkul.alam)

There is one way to find the reason why it stopped working in Firefox.
We have a tool that downloads different Firefox nightly builds and let you test them to find the change in the Firefox source Code that caused this problem.

(In reply to Matthias Versen [:Matti] from comment #3)

There is one way to find the reason why it stopped working in Firefox.
We have a tool that downloads different Firefox nightly builds and let you test them to find the change in the Firefox source Code that caused this problem.

(venv) Minkuls-MacBook-Pro:mozreg minkul$ mozregression --persist=temp --good=2018-11-01 --bad=2018-11-30


You should use a config file. Please use the --write-config command line flag to help you create one.


0:03.62 INFO: Testing good and bad builds to ensure that they are really good and bad...
0:03.63 INFO: Downloading build from: https://archive.mozilla.org/pub/firefox/nightly/2018/11/2018-11-01-22-00-58-mozilla-central/firefox-65.0a1.en-US.mac.dmg
===== Downloaded 100% =====
1:02.75 INFO: Running mozilla-central build for 2018-11-01
1:32.40 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpH8YuZM/Firefox Nightly.app/Contents/MacOS/firefox
1:32.40 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpH8YuZM/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpCIg70b.mozrunner
1:32.45 INFO: application_buildid: 20181101220058
1:32.45 INFO: application_changeset: 182a1b088330a2d72310ae2561004d955571e236
1:32.45 INFO: application_name: Firefox
1:32.45 INFO: application_repository: https://hg.mozilla.org/mozilla-central
1:32.45 INFO: application_version: 65.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): good
2:58.89 INFO: Using local file: temp/2018-11-30--mozilla-central--firefox-65.0a1.en-US.mac.dmg (downloaded in background)
2:58.90 INFO: Running mozilla-central build for 2018-11-30
3:27.04 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpc_UYeN/Firefox Nightly.app/Contents/MacOS/firefox
3:27.04 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpc_UYeN/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpIQCYE9.mozrunner
3:27.07 INFO: application_buildid: 20181130200939
3:27.07 INFO: application_changeset: 950f6d29da967b9999ce709e94bf35b244f79100
3:27.07 INFO: application_name: Firefox
3:27.07 INFO: application_repository: https://hg.mozilla.org/mozilla-central
3:27.07 INFO: application_version: 65.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): bad
4:29.26 INFO: Good and bad builds are correct. Let's continue the bisection.
4:29.26 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=182a1b088330a2d72310ae2561004d955571e236&tochange=950f6d29da967b9999ce709e94bf35b244f79100

4:29.27 INFO: Using local file: temp/2018-11-16--mozilla-central--firefox-65.0a1.en-US.mac.dmg (downloaded in background)
4:29.27 INFO: Running mozilla-central build for 2018-11-16
4:53.90 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpidpAfw/Firefox Nightly.app/Contents/MacOS/firefox
4:53.90 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpidpAfw/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp1bFtkI.mozrunner
4:53.93 INFO: application_buildid: 20181116220054
4:53.93 INFO: application_changeset: 7154eb3601f3b89ef5b8e559c9f2bae57f6d59f3
4:53.93 INFO: application_name: Firefox
4:53.93 INFO: application_repository: https://hg.mozilla.org/mozilla-central
4:53.93 INFO: application_version: 65.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): good
5:50.62 INFO: Narrowed nightly regression window from [2018-11-01, 2018-11-30] (29 days) to [2018-11-16, 2018-11-30] (14 days) (~3 steps left)
5:50.62 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=7154eb3601f3b89ef5b8e559c9f2bae57f6d59f3&tochange=950f6d29da967b9999ce709e94bf35b244f79100

5:50.62 INFO: Downloading build from: https://archive.mozilla.org/pub/firefox/nightly/2018/11/2018-11-23-22-02-28-mozilla-central/firefox-65.0a1.en-US.mac.dmg
===== Downloaded 100% =====
6:20.56 INFO: Running mozilla-central build for 2018-11-23
6:52.22 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpHukUo1/Firefox Nightly.app/Contents/MacOS/firefox
6:52.22 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpHukUo1/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpdAP8tx.mozrunner
6:52.25 INFO: application_buildid: 20181123220228
6:52.25 INFO: application_changeset: 8264fe75578f62fa4f14d48ec8ca86d109e8ddf5
6:52.25 INFO: application_name: Firefox
6:52.25 INFO: application_repository: https://hg.mozilla.org/mozilla-central
6:52.25 INFO: application_version: 65.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
7:54.59 INFO: Narrowed nightly regression window from [2018-11-16, 2018-11-30] (14 days) to [2018-11-23, 2018-11-30] (7 days) (~2 steps left)
7:54.59 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=8264fe75578f62fa4f14d48ec8ca86d109e8ddf5&tochange=950f6d29da967b9999ce709e94bf35b244f79100

7:54.60 INFO: Downloading build from: https://archive.mozilla.org/pub/firefox/nightly/2018/11/2018-11-27-22-01-31-mozilla-central/firefox-65.0a1.en-US.mac.dmg
===== Downloaded 100% =====
8:15.23 INFO: Running mozilla-central build for 2018-11-27
8:49.72 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmptiXgdZ/Firefox Nightly.app/Contents/MacOS/firefox
8:49.72 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmptiXgdZ/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp5yvoGl.mozrunner
8:49.80 INFO: application_buildid: 20181127220131
8:49.81 INFO: application_changeset: 204cda7581188cfc8c8ef11dce4680dadf2b43bb
8:49.81 INFO: application_name: Firefox
8:49.81 INFO: application_repository: https://hg.mozilla.org/mozilla-central
8:49.81 INFO: application_version: 65.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
9:51.61 INFO: Narrowed nightly regression window from [2018-11-23, 2018-11-30] (7 days) to [2018-11-27, 2018-11-30] (3 days) (~1 steps left)
9:51.61 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=204cda7581188cfc8c8ef11dce4680dadf2b43bb&tochange=950f6d29da967b9999ce709e94bf35b244f79100

9:51.61 INFO: Downloading build from: https://archive.mozilla.org/pub/firefox/nightly/2018/11/2018-11-29-21-44-05-mozilla-central/firefox-65.0a1.en-US.mac.dmg
===== Downloaded 100% =====
10:07.00 INFO: Running mozilla-central build for 2018-11-29
10:31.71 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpt6iAlR/Firefox Nightly.app/Contents/MacOS/firefox
10:31.71 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpt6iAlR/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpqlrEyx.mozrunner
10:31.78 INFO: application_buildid: 20181129214405
10:31.78 INFO: application_changeset: 6453222232be364fb8ce3fd29b6cbcd480e5f2e3
10:31.78 INFO: application_name: Firefox
10:31.78 INFO: application_repository: https://hg.mozilla.org/mozilla-central
10:31.78 INFO: application_version: 65.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): bad
11:32.16 INFO: Narrowed nightly regression window from [2018-11-27, 2018-11-30] (3 days) to [2018-11-27, 2018-11-29] (2 days) (~1 steps left)
11:32.16 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=204cda7581188cfc8c8ef11dce4680dadf2b43bb&tochange=6453222232be364fb8ce3fd29b6cbcd480e5f2e3

11:32.16 INFO: Using local file: temp/2018-11-28--mozilla-central--firefox-65.0a1.en-US.mac.dmg (downloaded in background)
11:32.16 INFO: Running mozilla-central build for 2018-11-28
11:56.41 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp7iUrbI/Firefox Nightly.app/Contents/MacOS/firefox
11:56.41 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp7iUrbI/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpthosas.mozrunner
11:56.45 INFO: application_buildid: 20181128220334
11:56.45 INFO: application_changeset: f2915d3ee5f8705676e4bb643eab54b62246f25f
11:56.45 INFO: application_name: Firefox
11:56.45 INFO: application_repository: https://hg.mozilla.org/mozilla-central
11:56.45 INFO: application_version: 65.0a1
Was this nightly build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): bad
12:42.74 INFO: Narrowed nightly regression window from [2018-11-27, 2018-11-29] (2 days) to [2018-11-27, 2018-11-28] (1 days) (~0 steps left)
12:42.74 INFO: Got as far as we can go bisecting nightlies...
12:42.74 INFO: Last good revision: 204cda7581188cfc8c8ef11dce4680dadf2b43bb (2018-11-27)
12:42.74 INFO: First bad revision: f2915d3ee5f8705676e4bb643eab54b62246f25f (2018-11-28)
12:42.74 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=204cda7581188cfc8c8ef11dce4680dadf2b43bb&tochange=f2915d3ee5f8705676e4bb643eab54b62246f25f

12:42.74 INFO: Switching bisection method to taskcluster
12:42.74 INFO: Getting mozilla-central builds between 204cda7581188cfc8c8ef11dce4680dadf2b43bb and f2915d3ee5f8705676e4bb643eab54b62246f25f
12:53.03 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=204cda7581188cfc8c8ef11dce4680dadf2b43bb&tochange=f2915d3ee5f8705676e4bb643eab54b62246f25f

12:53.04 INFO: Downloading build from: https://queue.taskcluster.net/v1/task/Ru9T8nhwSP6yX70clHR2iw/runs/0/artifacts/public%2Fbuild%2Ftarget.dmg
===== Downloaded 100% =====
13:56.54 INFO: Running mozilla-central build built on 2018-11-28 11:11:15.558000, revision 9234dc84
14:19.71 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpozsAfh/Firefox Nightly.app/Contents/MacOS/firefox
14:19.71 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpozsAfh/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpkzP3Om.mozrunner
14:19.73 INFO: application_buildid: 20181128095141
14:19.73 INFO: application_changeset: 9234dc84cd93547d60e7f74949b422003691677d
14:19.73 INFO: application_name: Firefox
14:19.73 INFO: application_repository: https://hg.mozilla.org/mozilla-central
14:19.73 INFO: application_version: 65.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): bad
14:58.59 INFO: Narrowed inbound regression window from [204cda75, f2915d3e] (9 builds) to [204cda75, 9234dc84] (5 builds) (~2 steps left)
14:58.59 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=204cda7581188cfc8c8ef11dce4680dadf2b43bb&tochange=9234dc84cd93547d60e7f74949b422003691677d

14:58.59 INFO: Downloading build from: https://queue.taskcluster.net/v1/task/IyoRJYZPQU2mbRbHRjFZfg/runs/0/artifacts/public%2Fbuild%2Ftarget.dmg
===== Downloaded 100% =====
15:39.25 INFO: Running mozilla-central build built on 2018-11-28 05:19:06.198000, revision a12d80e0
16:02.27 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpZu0Q8k/Firefox Nightly.app/Contents/MacOS/firefox
16:02.27 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpZu0Q8k/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp1yvI7L.mozrunner
16:02.28 INFO: application_buildid: 20181128040844
16:02.28 INFO: application_changeset: a12d80e08655c13245add6f6dacc91f8a6d9cf89
16:02.28 INFO: application_name: Firefox
16:02.28 INFO: application_repository: https://hg.mozilla.org/mozilla-central
16:02.28 INFO: application_version: 65.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): bad
17:11.37 INFO: Narrowed inbound regression window from [204cda75, 9234dc84] (5 builds) to [204cda75, a12d80e0] (3 builds) (~1 steps left)
17:11.37 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=204cda7581188cfc8c8ef11dce4680dadf2b43bb&tochange=a12d80e08655c13245add6f6dacc91f8a6d9cf89

17:11.37 INFO: Downloading build from: https://queue.taskcluster.net/v1/task/FnKCHIBqTOGIFPJk9n5iig/runs/0/artifacts/public%2Fbuild%2Ftarget.dmg
===== Downloaded 100% =====
17:36.31 INFO: Running mozilla-central build built on 2018-11-28 05:21:03.977000, revision 2d8ce84e
18:02.91 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpzg3hkl/Firefox Nightly.app/Contents/MacOS/firefox
18:02.91 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpzg3hkl/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpJULQDj.mozrunner
18:02.93 INFO: application_buildid: 20181128040656
18:02.93 INFO: application_changeset: 2d8ce84e0107c99974201c1b67864786b22f3ff8
18:02.93 INFO: application_name: Firefox
18:02.93 INFO: application_repository: https://hg.mozilla.org/mozilla-central
18:02.93 INFO: application_version: 65.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
18:41.79 INFO: Narrowed inbound regression window from [204cda75, a12d80e0] (3 builds) to [2d8ce84e, a12d80e0] (2 builds) (~1 steps left)
18:41.79 INFO: No more inbound revisions, bisection finished.
18:41.79 INFO: Last good revision: 2d8ce84e0107c99974201c1b67864786b22f3ff8
18:41.79 INFO: First bad revision: a12d80e08655c13245add6f6dacc91f8a6d9cf89
18:41.79 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=2d8ce84e0107c99974201c1b67864786b22f3ff8&tochange=a12d80e08655c13245add6f6dacc91f8a6d9cf89

18:44.75 INFO: ************* Switching to mozilla-inbound
18:44.75 INFO: Getting mozilla-inbound builds between 34b22b4e2b029b67e030d58f20b8b4bdc99331c4 and 33da443fa05e53b8f03d20d627cf6ef6ac445045
18:54.51 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=34b22b4e2b029b67e030d58f20b8b4bdc99331c4&tochange=33da443fa05e53b8f03d20d627cf6ef6ac445045

18:54.51 INFO: Downloading build from: https://queue.taskcluster.net/v1/task/TVOzPZ4RQtmIYELZhDQR2Q/runs/0/artifacts/public%2Fbuild%2Ftarget.dmg
===== Downloaded 100% =====
19:55.54 INFO: Running mozilla-inbound build built on 2018-11-27 21:20:00.721000, revision 5f2c6354
20:18.88 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp_9xOkF/Firefox Nightly.app/Contents/MacOS/firefox
20:18.88 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp_9xOkF/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpNY8ah5.mozrunner
20:18.90 INFO: application_buildid: 20181127194836
20:18.90 INFO: application_changeset: 5f2c6354443e6d41f9ef41386ff2aaa033180b41
20:18.90 INFO: application_name: Firefox
20:18.90 INFO: application_repository: https://hg.mozilla.org/integration/mozilla-inbound
20:18.90 INFO: application_version: 65.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry' or 'exit' and press Enter): bad
21:27.52 INFO: Narrowed inbound regression window from [34b22b4e, 33da443f] (29 builds) to [34b22b4e, 5f2c6354] (15 builds) (~3 steps left)
21:27.52 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=34b22b4e2b029b67e030d58f20b8b4bdc99331c4&tochange=5f2c6354443e6d41f9ef41386ff2aaa033180b41

21:27.52 INFO: Downloading build from: https://queue.taskcluster.net/v1/task/POF1nkUSQf2HHZ-DVVmy3g/runs/0/artifacts/public%2Fbuild%2Ftarget.dmg
===== Downloaded 100% =====
21:51.83 INFO: Running mozilla-inbound build built on 2018-11-27 17:27:49.500000, revision 1e9f3b7f
22:25.08 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpF9pNFU/Firefox Nightly.app/Contents/MacOS/firefox
22:25.08 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpF9pNFU/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpls379h.mozrunner
22:25.10 INFO: application_buildid: 20181127164131
22:25.10 INFO: application_changeset: 1e9f3b7f0e6daaec8bf9329a43d4abdaa07682d6
22:25.10 INFO: application_name: Firefox
22:25.10 INFO: application_repository: https://hg.mozilla.org/integration/mozilla-inbound
22:25.10 INFO: application_version: 65.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
23:05.61 INFO: Narrowed inbound regression window from [34b22b4e, 5f2c6354] (15 builds) to [1e9f3b7f, 5f2c6354] (8 builds) (~3 steps left)
23:05.61 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=1e9f3b7f0e6daaec8bf9329a43d4abdaa07682d6&tochange=5f2c6354443e6d41f9ef41386ff2aaa033180b41

23:05.61 INFO: Downloading build from: https://queue.taskcluster.net/v1/task/L-qvox2TTdmisG7GvGmoUQ/runs/0/artifacts/public%2Fbuild%2Ftarget.dmg
===== Downloaded 100% =====
23:38.33 INFO: Running mozilla-inbound build built on 2018-11-27 19:26:46.778000, revision c59f82a3
24:01.77 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpvwnenX/Firefox Nightly.app/Contents/MacOS/firefox
24:01.77 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpvwnenX/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpcGSn0I.mozrunner
24:01.79 INFO: application_buildid: 20181127181612
24:01.79 INFO: application_changeset: c59f82a36a288b620ab0825110ccb0bc6f4f180f
24:01.79 INFO: application_name: Firefox
24:01.79 INFO: application_repository: https://hg.mozilla.org/integration/mozilla-inbound
24:01.79 INFO: application_version: 65.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): good
25:02.46 INFO: Narrowed inbound regression window from [1e9f3b7f, 5f2c6354] (8 builds) to [c59f82a3, 5f2c6354] (4 builds) (~2 steps left)
25:02.46 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=c59f82a36a288b620ab0825110ccb0bc6f4f180f&tochange=5f2c6354443e6d41f9ef41386ff2aaa033180b41

25:02.46 INFO: Downloading build from: https://queue.taskcluster.net/v1/task/EZtiudI7TGaoS4tyCGCptQ/runs/0/artifacts/public%2Fbuild%2Ftarget.dmg
===== Downloaded 100% =====
25:30.14 INFO: Running mozilla-inbound build built on 2018-11-27 20:43:07.458000, revision 639b9311
25:53.34 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpk2Gp5v/Firefox Nightly.app/Contents/MacOS/firefox
25:53.34 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpk2Gp5v/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpIaPTpR.mozrunner
25:53.36 INFO: application_buildid: 20181127193344
25:53.36 INFO: application_changeset: 639b931122292b83f5ee99b646942c7352bef2fc
25:53.36 INFO: application_name: Firefox
25:53.36 INFO: application_repository: https://hg.mozilla.org/integration/mozilla-inbound
25:53.36 INFO: application_version: 65.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): bad
26:35.62 INFO: Narrowed inbound regression window from [c59f82a3, 5f2c6354] (4 builds) to [c59f82a3, 639b9311] (3 builds) (~1 steps left)
26:35.62 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=c59f82a36a288b620ab0825110ccb0bc6f4f180f&tochange=639b931122292b83f5ee99b646942c7352bef2fc

26:35.62 INFO: Downloading build from: https://queue.taskcluster.net/v1/task/GufFYzEQR0OAx1hDLZ0FRA/runs/0/artifacts/public%2Fbuild%2Ftarget.dmg
===== Downloaded 100% =====
26:45.96 INFO: Running mozilla-inbound build built on 2018-11-27 20:11:56.916000, revision 8c8ad4d5
27:11.56 INFO: Launching /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp7_F_hd/Firefox Nightly.app/Contents/MacOS/firefox
27:11.56 INFO: Application command: /private/var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmp7_F_hd/Firefox Nightly.app/Contents/MacOS/firefox -foreground -profile /var/folders/l4/kfg2gy5n38g186_sm1zrr2q80000gn/T/tmpYPH8V4.mozrunner
27:11.58 INFO: application_buildid: 20181127191844
27:11.58 INFO: application_changeset: 8c8ad4d5dbe94b90b340acd449fac1516b563a07
27:11.58 INFO: application_name: Firefox
27:11.58 INFO: application_repository: https://hg.mozilla.org/integration/mozilla-inbound
27:11.58 INFO: application_version: 65.0a1
Was this inbound build good, bad, or broken? (type 'good', 'bad', 'skip', 'retry', 'back' or 'exit' and press Enter): bad
27:48.88 INFO: Narrowed inbound regression window from [c59f82a3, 639b9311] (3 builds) to [c59f82a3, 8c8ad4d5] (2 builds) (~1 steps left)
27:48.88 INFO: No more inbound revisions, bisection finished.
27:48.88 INFO: Last good revision: c59f82a36a288b620ab0825110ccb0bc6f4f180f
27:48.88 INFO: First bad revision: 8c8ad4d5dbe94b90b340acd449fac1516b563a07
27:48.88 INFO: Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=c59f82a36a288b620ab0825110ccb0bc6f4f180f&tochange=8c8ad4d5dbe94b90b340acd449fac1516b563a07

Thank you very much minkul !

https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=c59f82a36a288b620ab0825110ccb0bc6f4f180f&tochange=8c8ad4d5dbe94b90b340acd449fac1516b563a07

Boris Zbarsky — Bug 1178639. WindowProxy should generally claim that properties on it are configurable. r=peterv
Boris Zbarsky — Bug 1329324. When trying to define non-configurable properties on a WindowProxy, communicate back that we didn't "really" define them as non-configurable. r=peterv

Flags: needinfo?(bzbarsky)

That's certainly consistent with the "can't define non-configurable property on WindowProxy" bit from comment 0. ;)

I think I've found a pretty straightforward way to reproduce at least the exceptions:

  1. Load https://basecamp.com/
  2. Type "me@example.com" in the "enter your email address" box.
  3. Click "Start a free 30 day trial".

The resulting page shows the exceptions comment 0 mentions.

I have a possible fix; I'll create a test build to see whether it fixes the actual behavior problems observed too.

Assignee: nobody → bzbarsky
Blocks: 1329324
Status: UNCONFIRMED → NEW
Component: Untriaged → DOM
Ever confirmed: true
Flags: needinfo?(bzbarsky)
Product: Firefox → Core
Flags: needinfo?(minkul.alam)

At https://github.com/tc39/ecma262/pull/688#issuecomment-456923526 I write:

Is another option to have basecamp.com fix their site so that it works both before and after this fix?

Some previous web breakages were resolved this way. (Global JSON breaking facebook.com) If it can be resolved this way, that would be best.

(In reply to Boris Zbarsky [:bzbarsky, bz on IRC] from comment #7)

Minkul, can you try running https://queue.taskcluster.net/v1/task/WJckD2d2RSWM3XjuuMp_Kg/runs/0/artifacts/public/build/target.dmg and seeing whether that fixes the problems you are seeing on Basecamp3?

That's the build produced by https://treeherder.mozilla.org/#/jobs?repo=try&revision=d70d0f1f5ecdb029e30643e339236cf768671b64

Yes, this build seems fixed the issue. There's no error in console. Broken JS features are also working. :)

Flags: needinfo?(minkul.alam)

We want to indicate "we didn't actually manage to define your properties as
non-configurable" but we don't want to throw exceptions when people try to
Object.defineProperties with a non-configurable property in the list on a
WindowProxy.

Though maybe we should just silently ignore the "can't define non-configurable
on WindowProxy" bits in defineProperties and just return the object anyway?
The reason we do the "return false" bit in defineProperty is so that Caja and
the like can detect it, but if they're not using defineProperties to start with
they may not need to detect this "failure".

Minkul, thank you for testing that, and for reporting the issue!

I think I would be fine with just ignoring the failure. I am not sure if returning false is really useful, if you can't tell which property wasn't actually defined.

For all of those cases, shouldn't we really emit a warning?

I think I would be fine with just ignoring the failure.

OK, updated the patch to do that. Certainly simpler that way. ;)

For all of those cases, shouldn't we really emit a warning?

We could, but I'm not sure how worthwhile this is, especially as long as other browsers are not enforcing anything here...

Also, it's not clear what the warning would warn about. The properties that get defined really act non-configurable in most ways, as long as you don't explicitly ask them whether they are (in which case they lie) and as long as you don't navigate.

I think I would be fine with just ignoring the failure.

I can't agree. We should at least return false. Even if it is difficult to tell what failed, you can at least know that what you asked to happen did not happen.

(I really think that we should ask basecamp to fix their site. If this is feasible, we should continue to throw.)

I don't understand the "warning" suggestion. Warn how?

Warn how?

In the web console. So not visible to script, but visible to site developers.

In case it wasn't clear: Given this data point, I am not willing to ship the throwing behavior for defineProperties unless Chrome ships it first.

I doubt warning on the web console is useful. The purpose of the "return false" would be to enable shims to easily replace defineProperty and defineProperties with wrappers that turn the "return false" back into a throw. SES in particular will do that. Without the "return false", it will be harder for the shim to detect when it should throw.

Historically, the best way to get Chrome to move is to add tests to test262. Currently, Chrome violates the normative ecma spec regarding object invariants on the global this object. This is undisputable grounds for a test262 test and report of a normative test failure.

Should have made the previous two paragraphs into two separate comments, as they are independent. It sounds like we are agreed that we do not first need to get Chrome to conform to the spec in order to agree to have defineProperties return false to indicate failure.

I could live with the return false thing from defineProperties. That still has compat risk, but much less so than throwing...

What do you think of Tom's suggestion in the github issue to return null instead of false, btw?

Tom, can you live with the return false (or null) proposal here?

What do you think of Tom's suggestion in the github issue to return null instead of false, btw?

Link please?

null would be fine.

(In reply to Boris Zbarsky [:bzbarsky, bz on IRC] from comment #19)

I could live with the return false thing from defineProperties. That still has compat risk, but much less so than throwing...
Tom, can you live with the return false (or null) proposal here?

Sure, that patch looked ok as well.

Priority: -- → P1

bz, are you still planning to land this patch?

Flags: needinfo?(bzbarsky)

Er, yes. I missed the review bugmail...

Flags: needinfo?(bzbarsky)
Pushed by bzbarsky@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/512b845fbed7
Change defineProperties to handle non-configurable properties on WindowProxy like defineProperty does.  r=evilpie
Pushed by bzbarsky@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e3660d0d8f90
followup.  Fix jsapi test to reopen the CLOSED TREE.  r=me

(Just to clean up here, comment 4 found the regression range so I'm removing the keyword.)

Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla67

I'm happy to take this on 66 beta as well if you think it is safe for uplift.

Flags: needinfo?(bzbarsky)

Oh, right. The relevant code is "#ifndef RELEASE_OR_BETA", so it's only an issue on nightlies, while we try to shake out problems with it (like this one!).

I just double-checked a beta66 build and my steps from comment 6 do not throw an exception there.

Flags: needinfo?(bzbarsky)
Component: DOM → DOM: Core & HTML
Flags: qe-verify+

As per steps in comment 6, observed the issue with Firefox 66.0a1(20190107214730) on Windows 10.
Can confirm the fix with (as no unexpected errors as seen in the affected versions re-apppear) with 68.0a1 (2019-04-09), 67.0b9 on Windows 10, macOS 10.14, Ubuntu 18.04.

Status: RESOLVED → VERIFIED
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.